Package org.springframework.security.config.annotation.authentication.configuration

# Class AuthenticationConfiguration

java.lang.Object
org.springframework.security.config.annotation.authentication.configuration.AuthenticationConfiguration

@Configuration(proxyBeanMethods=false) @Import(ObjectPostProcessorConfiguration.class) public class AuthenticationConfiguration extends Object
Exports the authentication `Configuration`

Since:
  3.2

## Constructor Summary

Constructors
Constructor
Description
`AuthenticationConfiguration()`

## Method Summary

Modifier and Type
Method
Description
`AuthenticationManagerBuilder`
`authenticationManagerBuilder(ObjectPostProcessor<Object> objectPostProcessor, org.springframework.context.ApplicationContext context)`
`static GlobalAuthenticationConfigurerAdapter`
`enableGlobalAuthenticationAutowiredConfigurer(org.springframework.context.ApplicationContext context)`
`org.springframework.security.authentication.AuthenticationManager`
`getAuthenticationManager()`
`static org.springframework.security.config.annotation.authentication.configuration.InitializeAuthenticationProviderBeanManagerConfigurer`
`initializeAuthenticationProviderBeanManagerConfigurer(org.springframework.context.ApplicationContext context)`
`static org.springframework.security.config.annotation.authentication.configuration.InitializeUserDetailsBeanManagerConfigurer`
`initializeUserDetailsBeanManagerConfigurer(org.springframework.context.ApplicationContext context)`
`void`
`setApplicationContext(org.springframework.context.ApplicationContext applicationContext)`
`void`
`setGlobalAuthenticationConfigurers(List<GlobalAuthenticationConfigurerAdapter> configurers)`
`void`
`setObjectPostProcessor(ObjectPostProcessor<Object> objectPostProcessor)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AuthenticationConfiguration

public AuthenticationConfiguration()

## Method Details

### authenticationManagerBuilder

@Bean public AuthenticationManagerBuilder authenticationManagerBuilder(ObjectPostProcessor<Object> objectPostProcessor, org.springframework.context.ApplicationContext context)

### enableGlobalAuthenticationAutowiredConfigurer

@Bean public static GlobalAuthenticationConfigurerAdapter enableGlobalAuthenticationAutowiredConfigurer(org.springframework.context.ApplicationContext context)

### initializeUserDetailsBeanManagerConfigurer

@Bean public static org.springframework.security.config.annotation.authentication.configuration.InitializeUserDetailsBeanManagerConfigurer initializeUserDetailsBeanManagerConfigurer(org.springframework.context.ApplicationContext context)

### initializeAuthenticationProviderBeanManagerConfigurer

@Bean public static org.springframework.security.config.annotation.authentication.configuration.InitializeAuthenticationProviderBeanManagerConfigurer initializeAuthenticationProviderBeanManagerConfigurer(org.springframework.context.ApplicationContext context)

### getAuthenticationManager

public org.springframework.security.authentication.AuthenticationManager getAuthenticationManager() throws Exception

Throws:
  `Exception`

### setGlobalAuthenticationConfigurers

@Autowired(required=false) public void setGlobalAuthenticationConfigurers(List<GlobalAuthenticationConfigurerAdapter> configurers)

### setApplicationContext

@Autowired public void setApplicationContext(org.springframework.context.ApplicationContext applicationContext)

### setObjectPostProcessor

@Autowired public void setObjectPostProcessor(ObjectPostProcessor<Object> objectPostProcessor)